Subject: Re: bug#40671: [DOC] modify literal objects

From: Michael Heerdegen <[email-masked]>
Date: Mon, 11 May 2020 04:56:16 +0200

Drew Adams <[email-masked]> writes:

> But are symbols otherwise constant, besides their
> values?  Depends what you mean by "symbol", perhaps.
> Certainly you can change not only `symbol-value' but
> also `symbol-function' and `symbol-plist'.  I don't
> see symbols as very constant.

Also makes sense, yes.

> I think that text wasn't too bad, but I see your point.
>
> And it's especially not good to use "value" in the two
> different senses, as (1) something you see ("appears")
> in a source program and (2) a runtime value that results
> from reading, byte-compiling, or interpreting that source
> code.
>
> Maybe "object" or "Lisp object" instead of "value", for
> #2?

The term "value" is used all over the place in the manual for #2, so
people are familiar with it, we need a better term for (1) instead I
think.  (info "(elisp) Equality Predicates") already uses the term
"literal object" btw:

     The Emacs Lisp byte compiler may collapse identical literal
     objects, such as literal strings, into references to the same
     object, with the effect that the byte-compiled code will compare
     such objects as ‘eq’, while the interpreted version of the same
     code will not.

Michael.